apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ingress-19bytes
  namespace: k8s-staging
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  tls:
    - hosts:
        - nginx-k8s.dev.19bytes.de
      secretName: letsencrypt
  rules:
    - host: nginx-k8s.dev.19bytes.de
      http:
        paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: service-19bytes
                port:
                  number: 80

